class BroadcastPolicy < ApplicationPolicy
  def index?
    true
  end

  def show?
    true
  end

  def create?
    user.manager? || user.account_manager?
  end

  def destroy?
    create?
  end

  def update?
    true
  end

  def destroy_file?
    if user.nil? || user.user.nil?
      return false
    end

    user.manager? || user.account_manager?
  end
end
